%global momorel 4

Summary: 	URI module for perl (World_Wide_Web_HTML_HTTP_CGI/URI)
Name: 		perl-URI
Version: 	1.35
Release: %{momorel}m%{?dist}
License: 	GPL or Artistic
Group: 		Development/Languages
%NoSource 0	http://www.cpan.org/modules/by-module/URI/URI-%{version}.tar.gz 1a933b1114c41a25587ee59ba8376f7c
Source1:  	filter-requires-perl-URI.sh
URL: 		http://www.cpan.org/modules/by-module/URI/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	perl >= 5.8.5
#BuildPreReq:    perl-MIME-Base64
Provides:       perl-URI
BuildArch: 	noarch

%description
This module implements the URI class. Objects of this class represent
"Uniform Resource Identifier references" as specified in RFC 2396 (and
updated by RFC 2732).

%define __find_requires %{SOURCE1}

%prep
%setup -q -n URI-%{version}

%build
CFLAGS="%optflags" perl Makefile.PL INSTALLDIRS=vendor PREFIX=%{buildroot}/usr
make

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find %{buildroot} \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find %{buildroot}/usr -type f -print |
        sed "s@^%{buildroot}@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > URI-%{version}-filelist
if [ "$(cat URI-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files
%defattr(-,root,root)
%doc Changes README rfc2396.txt
%{perl_vendorlib}/URI*
%{_mandir}/man?/*

%changelog
* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.35-4m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.35-3m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.35-2m)
- rebuilt against perl-5.8.7

* Sat Jun 04 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.35-1m)
- update to 1.35

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.30-4m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.30-3m)
- remove Epoch from BuildPrereq

* Tue Apr  6 2004 Toru Hoshina <t@momonga-linux.org>
- (1.30-2m)
- don't miss source1.

* Tue Jan 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.30-1m)

* Thu Jan 08 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.29-1m)
- update to 1.29

* Wed Dec 03 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.28-1m)
- update to 1.28

* Sun Nov 30 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.27-7m)
- modify dependency

* Sat Nov 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.27-6m)
- modify dependency

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.27-5m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.27-4m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.27-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.27-2m)
- kill %%define name

* Sun Oct 12 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.27-1m)
- update to 1.27

* Thu Aug  7 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.24-1m)
- update to 1.24

* Sun Jan  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.23-1m)

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.22-2m)
- rebuild against perl-5.8.0

* Tue Nov 05 2002 Kenta MURATA <muraken@momonga-linux.org>
- (1.22-1m)
- version up.

* Sat Jul  6 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.19-1m)

* Sun Apr  7 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (1.18-4k)
- skip "make test" because testing URI is not found.

* Wed Feb 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.18-2k)

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (1.17-4k)
- rebuild against for perl-5.6.1

* Sat Sep 15 2001 Toru Hoshina <t@kondara.org>
- (1.17-2k)
- merge from rawhide. based on 1.12-5.

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.12-4
- imported from mandrake. tweaked man path.

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.12-3mdk
- BuildRequires:	perl-devel

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 1.12-2mdk
- fixed reference to perl version number explicitely.
- added missing files in packages (?!).

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.12-1mdk
- 1.12.
- Clean up spec a little bit
- Needed by eGrail.
- Macronize a little bit more.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.10-2mdk
- Rebuild for the latest perl.

* Tue Jan 30 2001 Franois Pons <fpons@mandrakesoft.com> 1.10-1mdk
- 1.10.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.09-1mdk
- 1.09.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.08-1mdk
- macroszifications.
- update requires on perl version.
- noarch as no compilation done.
- added documentation.
- updated description.
- 1.08.

* Tue Jun 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.07-1mdk
- update to 1.07

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 1.05-2mdk
- new group, rebuild, cleanup

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 1.05

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com?
- bzip2'd sources
- updated to 1.04

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
